Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.stmt
Class TInsertSqlStatement

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.TCustomSqlStatement
              gudusoft.gsqlparser.stmt.TInsertSqlStatement

All Implemented Interfaces:
  Visitable

    public class TInsertSqlStatement

extends TCustomSqlStatement

Use the INSERT statement to add rows to a table, the base table of a view, a partition of a partitioned table or a subpartition of a composite-partitioned table, or an object table or the base table of an object view.

See Also:
  `TCustomSqlStatement.cteList`, `TCustomSqlStatement.targetTable`, `TCustomSqlStatement.outputClause`, `TCustomSqlStatement.returningClause`

Field Summary

Fields inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`dbvendor, dummytag, joins, parser, plsqlparser, rootNode, sourcetokenlist, sqlstatementtype, tables`

Constructor Summary
`TInsertSqlStatement(EDbVendor dbvendor)`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`int` | `doParseStatement(TCustomSqlStatement psql)`
`TObjectNameList` | `getColumnList()`
`TFunctionCall` | `getFunctionCall()` value clause valid when `getValueType()` is vt_values_function.
`TSourceToken` | `getIgnore()`
`TPTNodeList<TInsertCondition>` | `getInsertConditions()`
`TPTNodeList<TInsertIntoValue>` | `getInsertIntoValues()`
`TSourceToken` | `getInsertToken()`
`TSourceToken` | `getPriority_delayed()`
`TObjectName` | `getRecordName()` plsql record name in values clause
`TResultColumnList` | `getSetColumnValues()` set column value clauses in MySQL insert statement.
`TSelectSqlStatement` | `getSubQuery()` value clause valid when `getValueType()` is vt_query.
`TMultiTargetList` | `getValues()` value clause, valid when `getValueType()` is vt_values.
`int` | `getValueType()`
`void` | `setInsertToken(TSourceToken insertToken)`

Methods inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`addWhereClause, analyzeFromTable, analyzeJoin, analyzeTablename, checkNonQualifiedColumnReferenceInSubQueryOfUplevelStmt, getCteList, getErrorCount, getLabelName, getOutputClause, getParentStmt, getResultColumnList, getReturningClause, getStatements, getSymbolTable, getTargetTable, getTopClause, getTopStatement, getWhereClause, isnzplsql, isoracleplsql, ispgplsql, linkColumnReferenceToTable, locateVariableOrParameter, OracleStatementCanBeSeparatedByBeginEndPair, parsestatement, setCteList, setLabelName, setOutputClause, setParentStmt, setResultColumnList, setReturningClause, setTargetTable, setTopClause, setWhereClause`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TInsertSqlStatement

    public TInsertSqlStatement(EDbVendor dbvendor)

Method Detail

### getInsertConditions

    public TPTNodeList<TInsertCondition> getInsertConditions()

### getInsertIntoValues

    public TPTNodeList<TInsertIntoValue> getInsertIntoValues()

### setInsertToken

    public void setInsertToken(TSourceToken insertToken)

### getInsertToken

    public TSourceToken getInsertToken()

### getSubQuery

    public TSelectSqlStatement getSubQuery()

  value clause valid when `getValueType()` is vt_query.

  Returns:
    row value constructed by a query.

### getFunctionCall

    public TFunctionCall getFunctionCall()

  value clause valid when `getValueType()` is vt_values_function.

  Returns:
    row value was constructed by a function.

### getRecordName

    public TObjectName getRecordName()

  plsql record name in values clause

  Returns:

### getValueType

    public int getValueType()

  Returns:
    how rows was insert into table. value can be one of

    vt_values, `getValues()`

    vt_values_empty, syntax like: value ()

    vt_query, `getSubQuery()`

    vt_default_values,

    vt_execute,

    vt_values_function, `getFunctionCall()`

### getValues

    public TMultiTargetList getValues()

  value clause, valid when `getValueType()` is vt_values.

  Returns:
    a single row value, or multi row values returned by query or value constructor.

### getIgnore

    public TSourceToken getIgnore()

### getPriority_delayed

    public TSourceToken getPriority_delayed()

### getSetColumnValues

    public TResultColumnList getSetColumnValues()

  set column value clauses in MySQL insert statement.

  Returns:

### getColumnList

    public TObjectNameList getColumnList()

  Returns:
    column name list in insert into clause.

### doParseStatement

    public int doParseStatement(TCustomSqlStatement psql)

  Overrides:
    `doParseStatement` in class `TCustomSqlStatement`

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD